Virtualization
Showing results for 
Search instead for 
Do you mean 

AVIO storage adaptors are not supported on OPENVMS guests on this host.

Highlighted
Occasional Contributor

AVIO storage adaptors are not supported on OPENVMS guests on this host.

Hello,

 

I'm trying to create an OpenVMS VM, as such:

 

hpvmcreate -P openvms -O openvms -c 1 -r 1024M -e 25 -a disk:avio_stor::disk:/dev/rdisk/disk7 -a dvd:avio_stor::file:/scratch/openvms/openvms84_ia64.iso

 

output is:

HPVM guest openvms configuration problems:
    Warning 1: AVIO storage adaptors are not supported on OPENVMS guests on this host.
These problems may prevent HPVM guest openvms from starting.
hpvmcreate: The creation process is continuing.

This is a showstopper, obviously:

# hpvmstart -P openvms

HPVM guest openvms configuration problems:
    Warning 1: AVIO storage adaptors are not supported on OPENVMS guests on this host.
These problems may prevent HPVM guest openvms from starting.
hpvmstart: Unable to continue.

 

# swlist | grep Integrity
  T2767CC                               B.04.10        Integrity VM  
  VMGuestLib                            B.04.10        Integrity VM Guest Support Libraries
  VMGuestSW                             B.04.10        Integrity VM Guest Support Software
  VMKernelSW                            B.04.10        Integrity VM Kernel Software

 

# swlist | grep Stor
  GuestAVIOStor                         B.11.31.0903.01 HPVM Guest AVIO Storage Software
  HostAVIOStor                          B.11.31.0903   HPVM Host AVIO Storage Software

Let me know what steps I might be missing.

 

Thanks,

Jerome

5 REPLIES
HPE Pro

Re: AVIO storage adaptors are not supported on OPENVMS guests on this host.

As per Release Notes, HPVM V4.1 doesn't support OpenVMS. The message might be a bit misleading.

Note also that HPVM V4.1 is out of support itself for almost 2 years now.

 

At the moment V4.3 is the only supported version which supports OpenVMS.

I work for HPE
Occasional Contributor

Re: AVIO storage adaptors are not supported on OPENVMS guests on this host.

I've also tried hpvm_4_1_openvms_ft_2.depot as recommended by this document:

 

http://h71000.www7.hp.com/openvmsft/hpvm/integrityvm_cookbook.pdf

 

To this outcome, the VM starts, but then:

 

fs0:\EFI\BOOT> BOOTIA64.EFI
%VMS_LOADER-I-Memorydisk allocated at:0x0000000010000000
.....................................................................................................................................
%VMS_LOADER-W-Unable to identify primary console device.
*** VM shutdown ***
*** OpenVMS not supported ***

I must be doing something wrong, obviously.

 

 

Jerome

HPE Pro

Re: AVIO storage adaptors are not supported on OPENVMS guests on this host.

As Stan said "At the moment V4.3 is the only supported version which supports OpenVMS." Try using version 4.3 before spending any more time on an old unsupported version.
Occasional Contributor

Re: AVIO storage adaptors are not supported on OPENVMS guests on this host.

I've upgraded to 6.20 and Openvms is working fine now, thank you.

 

 

Jerome

HPE Pro

Re: AVIO storage adaptors are not supported on OPENVMS guests on this host.

Working is one thing, supported is another.  

 

OpenVMS guests are not supported on v6.2 so if you run into a problem and need to contact HP, the first thing they're going to tell you to do is go back to v4.3 since that's the only Integrity VM version that supports OpenVMS guests.

 

Dave